atkmm: Atk::Value Class Reference

atkmm 2.22.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Atk::Value Class Reference

The ATK interface implemented by valuators and components which display or select a value from a bounded range of values. More...

`#include <atkmm/value.h>`

Inheritance diagram for Atk::Value:
[legend]

List of all members.

## Public Member Functions
AtkValue* | gobj ()
| Provides access to the underlying C GObject.
const AtkValue* | gobj () const
| Provides access to the underlying C GObject.
void | get_current_value (Glib::ValueBase&value) const
| Gets the value of this object.
void | get_maximum_value (Glib::ValueBase&value) const
| Gets the maximum value of this object.
void | get_minimum_value (Glib::ValueBase&value) const
| Gets the minimum value of this object.
bool | set_current_value (const Glib::ValueBase&value)
| Sets the value of this object.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Value > | wrap (AtkValue* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface implemented by valuators and components which display or select a value from a bounded range of values.

This should be implemented for components which either display a value from a bounded range, or which allow the user to specify a value from a bounded range, or both. For instance, most sliders and range controls, as well as dials, should have Atk::Object representations which implement Atk::Value on the component's behalf. Atk::Values may be read-only, in which case attempts to alter the value return false to indicate failure.

## Member Function Documentation

void Atk::Value::get_current_value | ( | Glib::ValueBase & | value | ) | const

Gets the value of this object.

Parameters:

  value | A Value representing the current accessible value.

void Atk::Value::get_maximum_value | ( | Glib::ValueBase & | value | ) | const

Gets the maximum value of this object.

Parameters:

  value | A Value representing the maximum accessible value.

void Atk::Value::get_minimum_value | ( | Glib::ValueBase & | value | ) | const

Gets the minimum value of this object.

Parameters:

  value | A Value representing the minimum accessible value.

bool Atk::Value::set_current_value | ( | const Glib::ValueBase & | value | ) |

Sets the value of this object.

Parameters:

  value | A Value which is the desired new accessible value.

Returns:
  `true` if new value is successfully set, `false` otherwise.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Value > wrap | ( | AtkValue * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.